Page MenuHomePhabricator

eolian-cxx: Fix order of initialization
ClosedPublic

Authored by felipealmeida on Jan 15 2019, 7:37 PM.

Details

Summary

Make order of code the same as the order of initialization. This avoids warnings

efl-mono: Fix lots of warnings in tests

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
felipealmeida created this revision.Jan 15 2019, 7:37 PM
felipealmeida requested review of this revision.Jan 15 2019, 7:37 PM
segfaultxavi accepted this revision.Jan 16 2019, 2:21 AM

I am not sure what warnings does the reordering of the initializers fix, the commit message could be more explicit.

However, everything is still building and the other changes make sense, so approving.

This revision is now accepted and ready to land.Jan 16 2019, 2:21 AM
stefan_schmidt requested changes to this revision.Jan 16 2019, 3:01 AM
stefan_schmidt added a subscriber: stefan_schmidt.

I would prefer to have this patch split into two. One for the cxx fix and one for the mono ones.
While this might sound like nitpicking I think these are really different things getting fixed and the subject line of the commit made me think this is only about cxx.

This revision now requires changes to proceed.Jan 16 2019, 3:01 AM

The changes itself are getting my full ACK. I verified that the cxx reorder warnings are gone with it. Thanks.
Once split into two these patches can go in.

This is what happens when you arc diff multiple commits :-(

@felipealmeida i can strongly recomment using git phab, git phab will keep the commits as they are, and apply them to seperate commits / revisions.

I've tried but didn't work for me.

Updating to have just one single commit

D7675 is the other commit now

vitor.sousa accepted this revision.Jan 17 2019, 5:30 AM
bu5hm4n accepted this revision.Jan 17 2019, 5:45 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jan 17 2019, 5:45 AM
Closed by commit rEFLd57a7df3b5ad: eolian-cxx: Fix order of initialization (authored by felipealmeida, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain Why
This revision was automatically updated to reflect the committed changes.